Bug 111346 - inconsistent XmUPDATE_LEVEL=3 in <Xm/Xm.h> vs. XmVERSION_STRING="... 2.2.2"
Summary: inconsistent XmUPDATE_LEVEL=3 in <Xm/Xm.h> vs. XmVERSION_STRING="... 2.2.2"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openmotif (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-02 14:25 UTC by Andreas Luik
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 15:07:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Luik 2003-12-02 14:25:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andreas Luik 2003-12-02 14:33:18 UTC
Description of problem:
<Xm/Xm.h> contains the following lines:

#define XmVERSION       2
#define XmREVISION      2
#define XmUPDATE_LEVEL  3
#define XmVersion       (XmVERSION * 1000 + XmREVISION)
#define XmVERSION_STRING "@(#)Motif Version 2.2.2"

It seems to be inconsistent to claim to be version 2.2.2 in
XmVERSION_STRING (as well as in the rpm spec file) but set
XmUPDATE_LEVEL=3?


Comment 2 Thomas Woerner 2004-04-19 15:07:33 UTC
Fixed in rawhide in rpm openmotif-2.2.3-2 or newer.


Note You need to log in before you can comment on or make changes to this bug.